.layers-panel {
    flex: 1 1 auto;
    overflow-y: auto;
}

.layers-panel .layer-editor:not(:first-child) .layer-editor-heading {
    margin-top: 0.6em;
}

.layers-panel .hue-gradient {
    position: absolute;
    top: 24px;
    left: 0;
    width: 100%;
    height: 8px;
    background: linear-gradient(90deg, orange, yellow, green, blue, indigo, violet, red, orange);
}

.layer-editor .layer-editor-heading {
    font-size: 15px;
    font-weight: 500;
    display: flex;
}

.layer-editor .layer-editor-heading svg {
    margin-right: 5px;
}

.layer-editor .filters-heading {
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 0.3em;
}

.layer-editor .filter-field-body {
    display: flex;
    align-items: center;
}

.layer-editor .filter-field-body .filter-input {
    flex: 1 1 auto;
}

.layer-editor .remove-layer,
.layer-editor .remove-filter {
    font-size: 12px;
    color: #999;
    padding: 5px;
}

.layer-editor .remove-layer:hover,
.layer-editor .remove-filter:hover {
    color: #fff;
}

.layer-editor .remove-layer {
    margin-left: 5px;
}